org.jboss.jca.deployers.fungal

## Class DsXmlDeployment

- java.lang.Object
- - org.jboss.jca.deployers.fungal.DsXmlDeployment

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.Deployment

      public class DsXmlDeployment
      extends java.lang.Object
      implements com.github.fungal.spi.deployers.Deployment

  A datasource deployment for JCA/SJC
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DsXmlDeployment(java.net.URL deployment, java.lang.String deploymentName, javax.resource.spi.ResourceAdapter ra, java.lang.String raKey, java.lang.String bootstrapContextId, org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository, java.lang.Object[] cfs, java.lang.String[] jndis, org.jboss.jca.core.connectionmanager.ConnectionManager[] cms, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry, org.jboss.jca.core.api.management.DataSource[] dataSources, org.jboss.jca.core.api.management.ManagementRepository managementRepository, java.util.List<javax.management.ObjectName> onames, javax.management.MBeanServer mbeanServer, java.lang.ClassLoader cl)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy
    `java.lang.ClassLoader` | `getClassLoader()` Get the classloader
    `java.net.URL` | `getURL()` Get the unique URL for the deployment
    `void` | `stop()` Stop

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DsXmlDeployment

          public DsXmlDeployment(java.net.URL deployment,
                                 java.lang.String deploymentName,
                                 javax.resource.spi.ResourceAdapter ra,
                                 java.lang.String raKey,
                                 java.lang.String bootstrapContextId,
                                 org.jboss.jca.core.spi.rar.ResourceAdapterRepository resourceAdapterRepository,
                                 java.lang.Object[] cfs,
                                 java.lang.String[] jndis,
                                 org.jboss.jca.core.connectionmanager.ConnectionManager[] cms,
                                 org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules,
                                 org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry recoveryRegistry,
                                 org.jboss.jca.core.api.management.DataSource[] dataSources,
                                 org.jboss.jca.core.api.management.ManagementRepository managementRepository,
                                 java.util.List<javax.management.ObjectName> onames,
                                 javax.management.MBeanServer mbeanServer,
                                 java.lang.ClassLoader cl)

      Constructor
      Parameters:
        `deployment` - The deployment
        `deploymentName` - The unique deployment name
        `ra` - The resource adapter instance if present
        `raKey` - The resource adapter instance key if present
        `bootstrapContextId` - The bootstrap context identifier
        `resourceAdapterRepository` - The resource adapter repository
        `cfs` - The connection factories
        `jndis` - The JNDI names for the factories
        `cms` - The connection managers
        `recoveryModules` - The recovery modules
        `recoveryRegistry` - The recovery registry
        `dataSources` - The management view of the datasources
        `managementRepository` - The management repository
        `onames` - The object names for the JMX MBeans
        `mbeanServer` - The MBeanServer
        `cl` - The classloader

  - ### Method Detail

    - #### getURL

          public java.net.URL getURL()

      Get the unique URL for the deployment
      Specified by:
        `getURL` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The URL

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

      Get the classloader
      Specified by:
        `getClassLoader` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The classloader

    - #### stop

          public void stop()

      Stop

    - #### destroy

          public void destroy()

      Destroy

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)